Skip to content

Request Sequences

Use the Request Sequences API to retrieve the request sequence data needed to manage request conditions. Request sequences, also known as approval sequences, are defined in the Okta Access Requests app. They establish a series of steps (such as questions, approval tasks, and custom tasks) that must be fulfilled before a requester is granted access to a resource.

When you create a request condition, you must reference a request sequence (see approvalSequenceId in Create a request condition). You can also reuse the same request sequence across multiple request conditions.

See Configure an approval sequence in the product documentation.

Note: Each org has a maximum of 250 request sequences.

List all resource request sequences

Request

OAuth 2.0 scope:
  • okta.accessRequests.condition.read
Admin roles:
  • ACCESS_REQUESTS_ADMIN

Lists access request sequences for a resource in your org

Note: The request sequence is known as the approval sequence in the Okta Access Requests app.

Path
resourceIdstringrequired

Unique identifier for the resource in Okta instance ID format or ORN format

GET
/governance/api/v2/resources/{resourceId}/request-sequences
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/resources/{resourceId}/request-sequences'

Responses

A successful request sequences list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(request-sequence)

All resource request sequences (approval sequences)

Response
Access request sequences that are returned from a get call
{ "data": [ {}, {} ], "_links": { "self": {}, "newSequence": {} } }